dlartv.f(3)

NAME
dlartv.f -

SYNOPSIS

  Functions/Subroutines
subroutine dlartv (N, X, INCX, Y, INCY, C, S, INCC)
DLARTV applies a vector of plane rotations with real cosines and real sines to the elements of a pair of vectors.

Function/Subroutine Documentation

  subroutine dlartv (integerN, double precision, dimension( * )X, integerINCX, double precision, dimension( * )Y, integerINCY, double precision, dimension( * )C, double precision, dimension( * )S, integerINCC)

DLARTV applies a vector of plane rotations with real cosines and real sines to the elements of a pair of vectors.

Purpose:

     DLARTV applies a vector of real plane rotations to elements of the
     real vectors x and y. For i = 1,2,...,n
        ( x(i) ) := (  c(i)  s(i) ) ( x(i) )
        ( y(i) )    ( -s(i)  c(i) ) ( y(i) )

Parameters:
    N

              N is INTEGER
              The number of plane rotations to be applied.

    X

              X is DOUBLE PRECISION array,
                             dimension (1+(N-1)*INCX)
              The vector x.

    INCX

              INCX is INTEGER
              The increment between elements of X. INCX > 0.

    Y

              Y is DOUBLE PRECISION array,
                             dimension (1+(N-1)*INCY)
              The vector y.

    INCY

              INCY is INTEGER
              The increment between elements of Y. INCY > 0.

    C

              C is DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
              The cosines of the plane rotations.

    S

              S is DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
              The sines of the plane rotations.

    INCC

              INCC is INTEGER
              The increment between elements of C and S. INCC > 0.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 109 of file dlartv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.